Permalink
Browse files

added rakefile and gemspec

  • Loading branch information...
1 parent 9ce6f2e commit 573d08b99103865e3ea6ec2f241f4eb1398b58e7 @jnicklas jnicklas committed Feb 3, 2009
Showing with 70 additions and 0 deletions.
  1. +37 −0 Rakefile
  2. +33 −0 query_trace.gemspec
View
@@ -0,0 +1,37 @@
+require 'rubygems'
+require 'rake/gempackagetask'
+
+GEM_NAME = "query_trace"
+GEM_VERSION = "0.0.1"
+AUTHOR = "Nathaniel Talbott"
+EMAIL = "nathaniel@terralien.com"
+HOMEPAGE = "http://github.com/ntalbott/query_trace/tree/master"
+SUMMARY = "Adds query origin tracing to your logs."
+
+spec = Gem::Specification.new do |s|
+ s.rubyforge_project = 'query_trace'
+ s.name = GEM_NAME
+ s.version = GEM_VERSION
+ s.platform = Gem::Platform::RUBY
+ s.has_rdoc = true
+ s.extra_rdoc_files = ["README", "MIT-LICENSE"]
+ s.summary = SUMMARY
+ s.description = s.summary
+ s.author = AUTHOR
+ s.email = EMAIL
+ s.homepage = HOMEPAGE
+ s.add_dependency('activerecord')
+ s.require_path = 'lib'
+ s.files = %w(MIT-LICENSE README Rakefile) + Dir.glob("{lib}/**/*")
+end
+
+Rake::GemPackageTask.new(spec) do |pkg|
+ pkg.gem_spec = spec
+end
+
+desc "Create a gemspec file"
+task :gemspec do
+ File.open("#{GEM_NAME}.gemspec", "w") do |file|
+ file.puts spec.to_ruby
+ end
+end
View
@@ -0,0 +1,33 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{query_trace}
+ s.version = "0.0.1"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Nathaniel Talbott"]
+ s.date = %q{2009-02-03}
+ s.description = %q{Adds query origin tracing to your logs.}
+ s.email = %q{nathaniel@terralien.com}
+ s.extra_rdoc_files = ["README", "MIT-LICENSE"]
+ s.files = ["MIT-LICENSE", "README", "Rakefile", "lib/query_trace.rb"]
+ s.has_rdoc = true
+ s.homepage = %q{http://github.com/ntalbott/query_trace/tree/master}
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{query_trace}
+ s.rubygems_version = %q{1.3.1}
+ s.summary = %q{Adds query origin tracing to your logs.}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<activerecord>, [">= 0"])
+ else
+ s.add_dependency(%q<activerecord>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<activerecord>, [">= 0"])
+ end
+end

0 comments on commit 573d08b

Please sign in to comment.